// BarPlot.stories.tsx
import React from 'react';
import { Meta } from '@storybook/react';
import AxisComponent, { AxisComponentProps } from '.';
import { scaleLinear } from 'd3';

const Component: Meta<AxisComponentProps> = {
  title: 'Visual charts/Charts/Axis',
  component: AxisComponent,
  decorators: [
    (Story) => (
      <div className="w-full h-full flex flex-row justify-center">
        <svg className="border border-secondary-300" width="300" height="200">
          <Story />
        </svg>
      </div>
    ),
  ],
};

export default Component;

export const CategoricalData = {
  args: {
    scale: scaleLinear().domain([0, 10]).range([200, 0]),
    orientation: 'bottom',
    ticks: 2,
    type: 'categorical',
  },
};
